[pacman-dev] [PATCH 3/4] Add a PKGBUILD for easy testing.
Victor Lowther
victor.lowther at gmail.com
Tue Jul 27 04:43:43 EDT 2010
We don't need the whole usual pkgbuild, but having one in the git tree sure
makes testing simpler.
---
PKGBUILD | 60 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
1 files changed, 60 insertions(+), 0 deletions(-)
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 0000000..16cf977
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,60 @@
+# $Id: PKGBUILD 83376 2010-06-21 12:52:09Z dan $
+# Maintainer: Aaron Griffin <aaron at archlinux.org>
+# Maintainer: Dan McGee <dan at archlinux.org>
+
+pkgname=pacman-git
+pkgver=$(date +%s)
+pkgrel=$(git log --pretty=format:%h |head -n 1)
+pkgdesc="A library-based package manager with dependency support"
+arch=('i686' 'x86_64')
+url="http://www.archlinux.org/pacman/"
+license=('GPL')
+groups=('base')
+depends=('bash' 'libarchive>=2.7.1' 'libfetch>=2.25' 'pacman-mirrorlist')
+makedepends=('asciidoc')
+optdepends=('fakeroot: for makepkg usage as normal user')
+provides=('pacman=9999')
+backup=('etc/pacman.conf' 'etc/makepkg.conf')
+conflicts=('pacman')
+options=(!libtool)
+
+build() {
+ cd ..
+ ./autogen.sh
+ ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --enable-doc
+ make || return 1
+}
+
+package() {
+ cd $srcdir/..
+ srcdir="$PWD"
+ make DESTDIR=$pkgdir install || return 1
+
+ # install Arch specific stuff
+ mkdir -p $pkgdir/etc
+ # set things correctly in the default conf file
+ case "$CARCH" in
+ i686)
+ mycarch="i686"
+ mychost="i686-pc-linux-gnu"
+ myflags="-march=i686 "
+ ;;
+ x86_64)
+ mycarch="x86_64"
+ mychost="x86_64-unknown-linux-gnu"
+ myflags="-march=x86-64 "
+ ;;
+ esac
+ sed -i $pkgdir/etc/makepkg.conf \
+ -e "s|@CARCH[@]|$mycarch|g" \
+ -e "s|@CHOST[@]|$mychost|g" \
+ -e "s|@CARCHFLAGS[@]|$myflags|g"
+
+ # install completion files
+ mkdir -p $pkgdir/etc/bash_completion.d/
+ install -m644 contrib/bash_completion $pkgdir/etc/bash_completion.d/pacman
+ mkdir -p $pkgdir/usr/share/zsh/site-functions/
+ install -m644 contrib/zsh_completion $pkgdir/usr/share/zsh/site-functions/_pacman
+}
+
+# vim: set ts=2 sw=2 et:
--
1.7.1.1
More information about the pacman-dev
mailing list